import Panel from "../views/Panel";
export default class RevenuePanel extends Panel{
    protected get skinKey(){  return 'Revenue' }
    public shareBtn:eui.Button;
    public closeBtn:eui.Button;
    public revenuenum:eui.Label;

    constructor(data){
        super();
    }

    initUI(data){
        this.revenuenum.text = data.coin;
    }
    initEvents(){
        super.initEvents();
        this.onTap(this.closeBtn,this.onTap_closeBtn);
        this.onTap(this.shareBtn,this.onTap_shareBtn);

    }

    onTap_closeBtn(){
        //领取coin
        this.hidePanel();
    }
    onTap_shareBtn(){
        //分享弹窗
    }
} 